summaryrefslogtreecommitdiffstats
path: root/source/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild')
-rwxr-xr-xsource/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/source/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild b/source/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild
new file mode 100755
index 000000000..0ef5f136f
--- /dev/null
+++ b/source/x/sinhala_lklug-font-ttf/sinhala_lklug-font-ttf.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: sinhala_lklug-font-ttf
+# Descr: Sinhala Unicode TrueType font
+# URL: http://sinhala.sourceforge.net/
+#
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=sinhala_lklug-font-ttf
+FONTNAM=sinhala_lklug
+VERSION=${VERSION:-20060929}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11)
+if [ "$XPREF" = "" ]; then
+ XPREF='/usr/X11R6'
+ FONTDIR="$XPREF/lib/X11/fonts/TTF"
+else
+ FONTDIR="/usr/share/fonts/TTF"
+fi
+mkdir -p $PKG$FONTDIR
+
+# Check the timestamp of the font file and warn if it is different from
+# the VERSION string:
+STAMP=$(LC_ALL=C stat -c %y $CWD/${FONTNAM}.ttf |cut -d' ' -f1 |tr -d '-')
+if [ "${STAMP}" != "${VERSION}" ]; then
+ echo "The timestamp of the font file '${FONTNAM}.ttf' is '$STAMP',"
+ echo " which is different from the VERSION '${VERSION}' of the package"
+ echo " you are creating. Please update the VERSION in '$0' to '${STAMP}'."
+ exit 1
+fi
+
+# Copy the font into the package:
+cp $CWD/${FONTNAM}.ttf $PKG$FONTDIR/
+chown root:root $PKG$FONTDIR/*
+chmod 644 $PKG$FONTDIR/*
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# There's no need to chroot and do this during initial
+# install, since there is a post-install script that
+# does the same thing, saving time.
+# Update X font indexes and the font cache:
+if [ -x /usr/bin/mkfontdir ]; then
+ /usr/bin/mkfontscale $FONTDIR
+ /usr/bin/mkfontdir $FONTDIR
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# This font has no documentation:
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+